<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
            integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
            crossorigin="anonymous"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.js"
            integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js"
            integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p"
            crossorigin="anonymous"></script>
    <title>Title</title>
</head>
<body>
<div class="container">
    <div class="col-md-12">
        <div class="row">
            <ul class="list-group" id="item_list"></ul>
        </div>
    </div>

    <br>

    <div class="col-md-12">
        <div class="row">
            <ul class="list-group-item">
                <form method="post" class="row g-3">
                    {% csrf_token %}
                    <input type="hidden" id="items" name="items">
                    <div class="col-md-6">
                        <label class="form-label">Name</label>
                        <input id="name" name="name" type="text" class="form-control"
                               placeholder="Jason Newman">
                    </div>
                    <div class="col-md-6">
                        <label class="form-label">Email</label>
                        <input id="email" name="email" type="text" class="form-control"
                               placeholder="Jason@json.com">
                    </div>
                    <div class="col-md-12">
                        <label class="form-label">Address</label>
                        <input id="address" name="address" type="text" class="form-control">
                    </div>
                    <div class="col-md-5">
                        <label class="form-label">City</label>
                        <input id="city" name="city" type="text" class="form-control">
                    </div>
                    <div class="col-md-4">
                        <label class="form-label">State</label>
                        <input id="state" name="state" type="text" class="form-control">
                    </div>
                    <div class="col-md-3">
                        <label class="form-label">Zip</label>
                        <input id="zipcode" name="zipcode" type="text" class="form-control">
                    </div>
                    <div class="col-md-3">
                        <label class="form-label">Price</label>
                        <input id="total_price" name="total_price" type="text" class="form-control" readonly="">
                    </div>
                    <div class="col-12">
                        <button class="btn btn-primary" type="submit">Order</button>
                    </div>
                </form>
            </ul>
        </div>
    </div>
</div>
</body>

<script type="text/javascript">
    if (localStorage.getItem('cart') == null) {
        var cart = {};
    } else {
        cart = JSON.parse(localStorage.getItem('cart'));
    }

    let total = 0;
    for (item in cart) {
        let quantity = cart[item][0];
        let name = cart[item][1];
        let price = cart[item][2];
        total += price;

        itemString = `<li class="list-group-item">${name} <span class="">${quantity}</span><span class="badge text-dark bg-warning rounded-pill">${price}</span></li>`;
        $('#item_list').append(itemString);
    }
    totalPrice = `<li class="list-group-item d-flx justify-content-between align-items-center"><b>Your Total ${total}</li>`;
    $('#item_list').append(totalPrice);
    $('#total_price').val(total);
    $('#items').val(JSON.stringify(cart));
</script>
</html>